%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

# "fix" underlinking:
%define _disable_ld_no_undefined 1

Name:           ocaml-curl
Version:        0.9.2
Release:        %mkrel 4
Summary:        OCaml Curl library (ocurl)
Group:          Development/OCaml
License:        MIT
URL:            https://ygrek.org/p/ocurl
VCS:            git:%{giturl}.git
Source0:        %{giturl}/archive/%{version}/ocurl-%{version}.tar.gz
BuildRequires:  ocaml
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-lwt-devel
BuildRequires:  ocaml-lwt-ppx-devel
BuildRequires:  pkgconfig(libev)
BuildRequires:  pkgconfig(libcurl) >= 7.28.0
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  libev-devel
BuildRequires:  gawk
# Because ocaml-curl is compiled with custom, it needs the curl-devel lib even for the bytecode ocaml lib.
Requires:       curl-devel
Conflicts:	%{name}-devel < 0.5.3-6

%description
The OCaml Curl Library (Ocurl) is an interface library for the
programming language OCaml to the networking library libcurl.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%autosetup -p1 -n ocurl-%{version}

# Files in the archive have spurious +x mode.
find -type f | xargs chmod 0644
chmod 0755 configure install-sh

# Link with debuginfo
sed -i "s|\$(OCAMLMKLIB)|& -g|" Makefile.in

%ifnarch %{ocaml_native_compiler}
# Do not try to install native objects
sed -i 's/ curl_lwt\$(EXT_OBJ)//;s/ curl\$(EXT_LIB)//' Makefile.in
%endif


%build
%configure --libdir=%{_libdir} --with-findlib
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
%make_install

# Install curl.mli
cp curl.mli $OCAMLFIND_DESTDIR/curl

# Make clean in the examples dir so our docs don't contain binaries.
make -C examples clean

mkdir api-doc
ocamldoc -d api-doc -html curl.mli

%ocaml_files

%files -f .ofiles
%license COPYING


%files devel -f .ofiles-devel
%doc doc examples
%doc api-doc/


%changelog
* Fri Jun 20 2025 daviddavid <daviddavid> 0.9.2-4.mga10
+ Revision: 2193112
- rebuild for ocaml 5.3.0

* Sat Oct 15 2022 neoclust <neoclust> 0.9.2-3.mga9
+ Revision: 1896988
- Rebuild against new ocaml-base

* Fri May 20 2022 pterjan <pterjan> 0.9.2-2.mga9
+ Revision: 1859342
- Rebuild for OCaml 4.14

* Tue May 17 2022 pterjan <pterjan> 0.9.2-1.mga9
+ Revision: 1858536
- Update to 0.9.2

* Fri Oct 15 2021 tv <tv> 0.9.1-4.mga9
+ Revision: 1751534
- Rebuild for ocaml 4.13.1

* Thu Mar 25 2021 tv <tv> 0.9.1-3.mga9
+ Revision: 1709843
- Build & include doc
- Fix file list
- Rebuild for ocaml-4.12
- "fix" underlinking
- Rebuild dor ocaml 4.12
- 0.9.1

* Sun Jan 10 2021 pterjan <pterjan> 0.9.0-4.mga8
+ Revision: 1670441
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 0.9.0-3.mga8
+ Revision: 1551138
- Rebuild for ocaml 4.10.0 final

* Wed Feb 19 2020 umeabot <umeabot> 0.9.0-2.mga8
+ Revision: 1543558
- Mageia 8 Mass Rebuild

* Tue Jan 21 2020 tv <tv> 0.9.0-1.mga8
+ Revision: 1481909
- new release + rebuild for ocaml-4.10
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Mar 16 2019 daviddavid <daviddavid> 0.8.2-1.mga7
+ Revision: 1377874
- new version: 0.8.2

* Tue Oct 23 2018 tv <tv> 0.7.9-3.mga7
+ Revision: 1324280
- rebuild with ocaml-4.07.1

* Sun Sep 23 2018 umeabot <umeabot> 0.7.9-2.mga7
+ Revision: 1299858
- Mageia 7 Mass Rebuild

* Sat Nov 25 2017 tv <tv> 0.7.9-1.mga7
+ Revision: 1179276
- fix filelist
- new release
- rebuild for new ocaml

* Mon Sep 26 2016 pterjan <pterjan> 0.7.6-2.mga6
+ Revision: 1056322
- Rebuild for fix in ocaml

* Fri Jan 29 2016 pterjan <pterjan> 0.7.6-1.mga6
+ Revision: 928795
- Update to 0.7.6

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-15.mga5
+ Revision: 750774
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-14.mga5
+ Revision: 683016
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.3-13.mga4
+ Revision: 536093
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 blue_prawn <blue_prawn> 0.5.3-12.mga4
+ Revision: 483304
- also provide the ocamldoc generated API documentation

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-11.mga3
+ Revision: 361262
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.5.3-10.mga3
+ Revision: 301433
- build requires ocaml-compiler
- rebuild for ocaml-4.00.0
- rebuild for ocaml-4.00.0

* Sun Sep 30 2012 blue_prawn <blue_prawn> 0.5.3-8.mga3
+ Revision: 300600
- minor things
- new rpm group for ocaml

* Sun Dec 11 2011 fwang <fwang> 0.5.3-7.mga2
+ Revision: 180528
- add conflicts to ease upgrade

* Sun Dec 11 2011 malo <malo> 0.5.3-6.mga2
+ Revision: 180518
- moving file from devel to the main package to fix bytecode lib.

* Sun Oct 02 2011 shlomif <shlomif> 0.5.3-5.mga2
+ Revision: 151007
- Removed a Require curl (thanks to Malo)

* Sun Oct 02 2011 fwang <fwang> 0.5.3-4.mga2
+ Revision: 150897
- rebuild for new ocaml

* Tue Apr 12 2011 ennael <ennael> 0.5.3-3.mga1
+ Revision: 83663
- clean spec file
- imported package ocaml-curl


* Thu Oct 07 2010 Funda Wang <fwang@mandriva.org> 0.5.3-3mdv2011.0
+ Revision: 583990
- rebuild

* Mon Aug 23 2010 Florent Monnier <blue_prawn@mandriva.org> 0.5.3-2mdv2011.0
+ Revision: 572420
- fixed the patch
- patched to compile the .so file

* Wed Apr 07 2010 Florent Monnier <blue_prawn@mandriva.org> 0.5.3-1mdv2010.1
+ Revision: 532793
- updated to version 0.5.3

* Wed Mar 17 2010 Florent Monnier <blue_prawn@mandriva.org> 0.5.2-1mdv2010.1
+ Revision: 522776
- update to new version 0.5.2

* Sun Feb 28 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-3mdv2010.1
+ Revision: 512689
- devel package requires curl-devel

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 389932
- rebuild

* Thu Jun 11 2009 Florent Monnier <blue_prawn@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 385091
- updated version

* Wed Dec 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2009.1
+ Revision: 318154
- import ocaml-curl


* Sun Dec 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2009.1
- contributed by Florent Monnier <fmonnier@linux-nantes.org> 
